spring.application.name=hhh-megrez-bridge

#端口
server.port=8687

#数据库配置
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost:3307/test?serverTimezone=GMT%2b8&characterEncoding=UTF-8
spring.datasource.username=root
spring.datasource.password=123456
spring.datasource.hikari.maximum-pool-size=50
spring.datasource.hikari.minimum-idle=10

#mybatis-plus
mybatis-plus.mapper-locations=classpath*:mapper/**/*Mapper.xml
mybatis-plus.type-aliases-package=com.hhh.cloud.framework.**.**.entity
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
#逻辑删除配置
mybatis-plus.global-config.db-config.logic-delete-value=1
mybatis-plus.global-config.db-config.logic-not-delete-value=0
#mybatis分页插件
pagehelper.reasonable=false
pagehelper.support-methods-arguments=true
pagehelper.params=count=countSql
pagehelper.row-bounds-with-count=true

#自动识别数据库
pagehelper.auto-runtime-dialect=true

#redis
spring.redis.host=192.169.0.1
spring.redis.database=0
spring.redis.port=6379
spring.redis.password=

#mongodb
#spring.data.mongodb.uri=mongodb://username:password@ip:27017/dbName

#用户oauth2授权
megrez.bridge.client.agent-id=
megrez.bridge.client.agent-secret=
megrez.bridge.client.server-path=http://192.169.0.220:8090

#允许跨域域名或ip
megrez.bridge.client.cors-filter-exclude-path=http://localhost:8080

#不允许重复登录，默认允许
megrez.bridge.client.pc-allow-repeat=false
#token有效期，默认1440分钟
megrez.bridge.client.pc-token-expire=10
#免登陆接口
megrez.bridge.client.auth-exclude-path=/example/**,/test/**

#统一校验api自定义实现类
#megrez.bridge.client.verify-service=verifyDemoServiceImpl
#自定义用户类获取方法
#megrez.bridge.client.user-detail-service=userDetailDemoServiceImpl

#使用应用级凭证（agentToken），默认false
megrez.bridge.client.using-agent-token=true